View Issue Details

IDProjectCategoryView StatusLast Update
0001117Common[All Projects] Generalpublic2016-09-11 02:05
ReporterXenosAssigned ToXenos 
PrioritynoneSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version2.0.10 
Summary0001117: Passer tous les sites en HTTPS
DescriptionL'idée serait de passer la totalité des sites (reinom, dracca, eclerd, etc) en HTTPS. Je ne sais pas trop si ce sera vraiment faisable, mais ce serait une bonne idée de préparer ce passage à HTTPS.
TagsNo tags attached.
Attach Tags

Relationships

child of 0001652 CloseXenos Blog Diffuser le blog 

Activities

Xenos

Xenos

2016-04-03 21:14

administrator   ~0001680

Le guide SSL n'existe pas (draft) et impossible de trouver comment ajouter un certificat SSL à l'hébergement. Donc, repoussé.

https://docs.ovh.com/display/CRHW/Accueil+SSL
Xenos

Xenos

2016-09-07 23:47

administrator   ~0002247

Last edited: 2016-09-11 02:05

Bon, et d'un https://vincent-monier.fr/
A voir si j'y ai du coup accès depuis le taff (ce qui serait une bonne raison pour l'appliquer à tous les sites!)

A voir également comment je vais gérer le basculement http -> https car actuellement, la version http reste accessible ( http://vincent-monier.fr/ ) mais à mon sens, il faudrait que la version HTTP renvoie vers la HTTPS, en faisant gaffe à bien le faire proprement (avec les bons headers) et à bien gérer les cookies pour les sites qui en auront (HTTP Secure Only Flag).
Xenos

Xenos

2016-09-09 22:41

administrator   ~0002256

Last edited: 2016-09-11 02:05

Le HTTPS est activé partout, mais il me faut encore mettre à jour les liens entre les projets (homepage, bugtracker, etc).

Il faudra aussi créer des redirections de HTTP vers HTTPS (301)

Apres, il faudra définir le flag "Secure only" sur les cookies de mantis, mathelp, eclerd et sur le blog.

Enfin, éventuellement, il faudrait invalider toutes les sessions PHP mais je ne sais pas si je peux le faire sur un mutualisé.
Xenos

Xenos

2016-09-10 14:21

administrator   ~0002257

Last edited: 2016-09-11 02:05

View 18 revisions


DomaineA conserver?SSL activé?HTTPS OK
(sans mixed content)?
Redirection HTTP→HTTPSLiens entrants à jour
https://beta.eclerd.com
https://beta.eclerd.fr
https://bugs.reinom.com
https://cards.reinom.com
https://deviantools.com
https://deviantwatch.reinom.com
https://dracca.com-
https://dracca.fr
https://earthprime.eclerd.fr
https://eclerd.com
https://eclerd.fr
https://mathelp.reinom.com
https://reinom.cluster013.ovh.net?NON???
https://reinom.com
https://reinom.fr→ reinom.com
https://site-exemple.eclerd.frNON
https://tests.reinom.com
https://toile.reinom.com
https://varii.space
https://vincent-monier.fr
https://wwiii.fr
https://www.deviantools.com
https://www.dracca.com
https://www.dracca.fr
https://www.eclerd.com
https://www.eclerd.fr
https://www.reinom.com→ reinom.com
https://www.reinom.fr→ reinom.com
https://www.site-exemple.eclerd.frNON
https://www.varii.space
https://www.vincent-monier.fr→ vincent-monier.fr
https://www.wwiii.fr
https://xenos.reinom.com


Xenos

Xenos

2016-09-10 18:54

administrator   ~0002258

Last edited: 2016-09-11 02:05

Je vais virer tou ce qui traîne dans "eclerd v0" et qui n'a rien à foutre là (genre les trucs de l'ECN, le mytasks, les screens de la nouvelle version [après avoir trouvé quels en sont les liens entrants] et le "Deviant")
Xenos

Xenos

2016-09-10 20:41

administrator   ~0002259

Last edited: 2016-09-11 02:05

Il me reste encore à dégager le cache de merde de chez OVH car même 1h après un déploiement, le serveur me balance encore les anciens fichiers. Putain, y'a jamais rien de fonctionnel chez eux, ça commence à m'emmerder sérieusement.
Xenos

Xenos

2016-09-11 02:01

administrator   ~0002263

Last edited: 2016-09-11 02:05

View 2 revisions

Bon, putain, ça y'est, c'est fait.

Le problème du cache, c'est dans le 0001723
Les emmerdes des www, c'est dans le 0001718
Les liens des articles, c'est dans le 0001722

Issue History

Date Modified Username Field Change
2016-04-02 21:25 Xenos New Issue
2016-04-02 21:25 Xenos Status New => Accepted
2016-04-03 20:55 Xenos Assigned To => Xenos
2016-04-03 20:55 Xenos Status Accepted => In progress
2016-04-03 21:14 Xenos Note Added: 0001680
2016-04-03 21:14 Xenos Status In progress => Accepted
2016-07-31 18:11 Xenos Relationship added child of 0001652
2016-09-06 21:31 Xenos Status Accepted => In progress
2016-09-07 23:47 Xenos Note Added: 0002247
2016-09-09 22:41 Xenos Note Added: 0002256
2016-09-10 14:21 Xenos Note Added: 0002257
2016-09-10 14:23 Xenos Note Edited: 0002257 View Revisions
2016-09-10 14:24 Xenos Note Edited: 0002257 View Revisions
2016-09-10 14:26 Xenos Note Edited: 0002257 View Revisions
2016-09-10 14:29 Xenos Note Edited: 0002257 View Revisions
2016-09-10 14:29 Xenos Note Edited: 0002257 View Revisions
2016-09-10 14:31 Xenos Note Edited: 0002257 View Revisions
2016-09-10 15:50 Xenos Note Edited: 0002257 View Revisions
2016-09-10 18:52 Xenos Note Edited: 0002257 View Revisions
2016-09-10 18:53 Xenos Note Edited: 0002257 View Revisions
2016-09-10 18:54 Xenos Note Added: 0002258
2016-09-10 19:45 AutoUpdater Status In progress => Resolved
2016-09-10 19:45 AutoUpdater Resolution open => fixed
2016-09-10 19:45 AutoUpdater Fixed in Version => 2.0.9
2016-09-10 20:41 Xenos Note Edited: 0002257 View Revisions
2016-09-10 20:41 Xenos Note Added: 0002259
2016-09-10 22:38 Xenos Note Edited: 0002257 View Revisions
2016-09-10 23:07 Xenos Note Edited: 0002257 View Revisions
2016-09-10 23:55 Xenos Note Edited: 0002257 View Revisions
2016-09-11 00:09 Xenos Note Edited: 0002257 View Revisions
2016-09-11 00:10 Xenos Note Edited: 0002257 View Revisions
2016-09-11 00:11 Xenos Note Edited: 0002257 View Revisions
2016-09-11 01:06 Xenos Note Edited: 0002257 View Revisions
2016-09-11 02:01 Xenos Note Added: 0002263
2016-09-11 02:01 Xenos Status Resolved => Close
2016-09-11 02:02 Xenos Note Edited: 0002263 View Revisions
2016-09-11 02:05 AutoUpdater Fixed in Version 2.0.9 => 2.0.10